List LOBs
curl --request GET \
--url https://api-sandbox.penelope.health/v1/lobs \
--header 'x-api-key: <api-key>'import requests
url = "https://api-sandbox.penelope.health/v1/lobs"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api-sandbox.penelope.health/v1/lobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"lob_id": "KMQTZ_commercial_US",
"payer_id": "KMQTZ",
"payer_name": "UnitedHealthcare",
"lob": "commercial"
}
],
"limit": 10,
"offset": 0,
"has_more": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}API Reference
List LOBs
List lines of business with optional filtering.
Filter by LOB categories, payer IDs, and/or states.
GET
/
v1
/
lobs
List LOBs
Authorizations
Query Parameters
Maximum number of results to return
Required range:
1 <= x <= 100Example:
10
Number of results to skip for pagination
Required range:
x >= 0Example:
0
Filter by LOB categories
Line-of-business categories.
Available options:
commercial, medicare_part_a, medicare_part_b, medicare_advantage, medicare_part_d, medicaid, individual_aca Example:
["commercial"]
Filter by payer IDs
Example:
["KMQTZ"]
Filter by US state codes
US states, territories, and Medicare contractor jurisdictions.
Includes standard 50 US states, DC, territories, and Medicare contractor jurisdiction subdivisions (e.g., Northern California, Queens NY).
Available options:
AL, AK, AZ, AR, CA, CO, CT, DE, FL, GA, HI, ID, IL, IN, IA, KS, KY, LA, ME, MD, MA, MI, MN, MS, MO, MT, NE, NV, NH, NJ, NM, NY, NC, ND, OH, OK, OR, PA, RI, SC, SD, TN, TX, UT, VT, VA, WA, WV, WI, WY, DC, AS, GU, PR, VI, CNMI, NF, SF, DN, QN, UN, EM, WM Example:
["CA", "NY"]
Response
Successful Response
Array of result objects
Show child attributes
Show child attributes
Maximum number of results requested
Example:
20
Number of results skipped for pagination
Example:
0
True if more results exist beyond this page
Example:
false
